import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import ElementUI from 'element-ui';
import './assets/css/element-variables.scss';
import 'babel-polyfill';
import '@/assets/font/iconfont.css';
import '@/assets/font/iconfont.js';

Vue.config.productionTip = false;
Vue.use(ElementUI);

// 创建事件总线
Vue.prototype.$bus = new Vue();

new Vue({
  router,
  store,
  render: h => h(App),
    mounted() {
        document.dispatchEvent(new Event('render-event'));
    }
}).$mount('#app');
